FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7f012a2 OS_GIT_VERSION=4.6.0-202104221811.p0-7f012a2 SOURCE_DATE_EPOCH=1614200362 SOURCE_GIT_COMMIT=7f012a26a1b7ccce4344d676e35f220fd209c614 SOURCE_GIT_TAG=v0.2.0-232-g7f012a2 SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY . /go/src/github.com/directxman12/k8s-prometheus-adapter

WORKDIR /go/src/github.com/directxman12/k8s-prometheus-adapter
ENV GOFLAGS="-mod=vendor"
RUN make
RUN mv /go/src/github.com/directxman12/k8s-prometheus-adapter/_output/$(go env GOARCH)/adapter /usr/bin/cm-adapter


FROM openshift/ose-base:v4.6.0.20210422.183047
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7f012a2 OS_GIT_VERSION=4.6.0-202104221811.p0-7f012a2 SOURCE_DATE_EPOCH=1614200362 SOURCE_GIT_COMMIT=7f012a26a1b7ccce4344d676e35f220fd209c614 SOURCE_GIT_TAG=v0.2.0-232-g7f012a2 SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY --from=builder /usr/bin/cm-adapter /usr/bin/cm-adapter
    

USER 1001

ENTRYPOINT ["/usr/bin/cm-adapter"]

LABEL \
        io.k8s.display-name="OpenShift Prometheus Custom Metrics Adapter" \
        io.k8s.description="This is a component of OpenShift Container Platform that provides the Kubernetes custom metrics API based on Prometheus metrics" \
        io.openshift.tags="openshift" \
        summary="This is a component of OpenShift Container Platform that provides the Kubernetes custom metrics API based on Prometheus metrics" \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        name="openshift/ose-k8s-prometheus-adapter" \
        com.redhat.component="ose-prometheus-adapter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202104221811.p0" \
        io.openshift.build.commit.id="7f012a26a1b7ccce4344d676e35f220fd209c614" \
        io.openshift.build.source-location="https://github.com/openshift/k8s-prometheus-adapter" \
        io.openshift.build.commit.url="https://github.com/openshift/k8s-prometheus-adapter/commit/7f012a26a1b7ccce4344d676e35f220fd209c614" \
        version="v4.6.0"

